Bug 838385 - [abrt] gnome-contacts-3.4.1-1.fc17: __GI_raise: Process /usr/bin/gnome-contacts was killed by signal 6 (SIGABRT)
[abrt] gnome-contacts-3.4.1-1.fc17: __GI_raise: Process /usr/bin/gnome-contac...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-contacts (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Elad Alfassa
Fedora Extras Quality Assurance
abrt_hash:87a273ad9704f6c3caf38933eaa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 20:09 EDT by Rui Gouveia
Modified: 2013-07-31 20:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:06:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.02 KB, text/plain)
2012-07-08 20:10 EDT, Rui Gouveia
no flags Details
File: maps (51.10 KB, text/plain)
2012-07-08 20:10 EDT, Rui Gouveia
no flags Details
File: dso_list (10.21 KB, text/plain)
2012-07-08 20:10 EDT, Rui Gouveia
no flags Details

  None (edit)
Description Rui Gouveia 2012-07-08 20:09:52 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gnome-contacts -i a3e5b32eeb500315488e834d18b3514e19b89083
comment:        One Gmail contact had two Facebook contacts. The error ocurred when linking the second one.
crash_function: __GI_raise
executable:     /usr/bin/gnome-contacts
kernel:         3.4.3-1.fc17.x86_64
pid:            28817
pwd:            /home/ruigo
time:           Mon 09 Jul 2012 12:54:12 AM BST
uid:            1000
username:       ruigo
var_log_messages: Jul  9 00:54:13 localhost abrt[28910]: Saved core dump of pid 28817 (/usr/bin/gnome-contacts) to /var/spool/abrt/ccpp-2012-07-09-00:54:12-28817 (101912576 bytes)

backtrace:      Text file, 42006 bytes
dso_list:       Text file, 10454 bytes
maps:           Text file, 52324 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ruigo/6

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x68867 g_assertion_message libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x68d84 g_assertion_message_expr libglib-2.0.so.0 -
:d0fc68226938d55fcf8ce6b4c0632c8a3ac9dbf6 0x10319 - libgee.so.2 -
:6fa4c0dc07e0471c57a8a02fd2b51e02acc04419 0x50c1e - [exe] -
:31243d0d107bba586a96433c76c87a26db1e826c 0x12af4 g_cclosure_marshal_VOID__OBJECTv libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x28cd0 g_signal_emit_by_name libgobject-2.0.so.0 -
:3d090872aeee2af66439c1484e7b5e7e9d11e9ec 0x31f47 - libfolks.so.25 -
:3d090872aeee2af66439c1484e7b5e7e9d11e9ec 0x332f9 - libfolks.so.25 -
:3d090872aeee2af66439c1484e7b5e7e9d11e9ec 0x343fa - libfolks.so.25 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x14025 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x13a6e - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x15ab3 g_object_thaw_notify libgobject-2.0.so.0 -
:250f20ee365e829f5aeb62447885582e7ac2130e 0x12dec _edsf_persona_update libfolks-eds.so.25 -
:250f20ee365e829f5aeb62447885582e7ac2130e 0x156c4 - libfolks-eds.so.25 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x129ba g_cclosure_marshal_VOID__POINTERv libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:564422b6f17bd134dd6fdf010548388402d9013a 0x1d0db - libebook-1.2.so.13 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:e56fb6650b2d4190d3c3e33ae068ee7cb73f30bf 0x2455e e_gdbus_proxy_emit_signal libedataserver-1.2.so.16 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x5e90 ffi_call_unix64 libffi.so.5 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x58a0 ffi_call libffi.so.5 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xffdb g_cclosure_marshal_generic libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x20450 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xc5984 - libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xb5655 - libgio-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47ad4 g_main_context_iteration libglib-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x97dec g_application_run libgio-2.0.so.0 -
:6fa4c0dc07e0471c57a8a02fd2b51e02acc04419 0x5e285 _vala_main [exe] -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=6
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/ruigo/keyring-hERob9
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=ruigo
:EC2_HOME=/home/ruigo/bin/ec2-api-tools-1.5.2.5
:MAIL=/var/spool/mail/ruigo
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/ruigo/bin:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/bin:/home/ruigo/bin/ec2-api-tools-1.5.2.5/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/ruigo
:JAVA_HOME=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=4839
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/ruigo
:SHLVL=1
:EC2_URL=https://eu-west-1.ec2.amazonaws.com
:LOGNAME=ruigo
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Ee0hpGrmRk,guid=7de3096ac5dc75f523cb27a600002734
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:EC2_PRIVATE_KEY=/home/ruigo/.aws/pk-Z4NDIMNW2GDANCPPKQXT33JF7X2NTO7M.pem
:XDG_RUNTIME_DIR=/run/user/ruigo
:DISPLAY=:0
:EC2_CERT=/home/ruigo/.aws/cert-Z4NDIMNW2GDANCPPKQXT33JF7X2NTO7M.pem
:XAUTHORITY=/var/run/gdm/auth-for-ruigo-TgoaAs/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/4843,unix/unix:/tmp/.ICE-unix/4843
:SSH_AUTH_SOCK=/run/user/ruigo/keyring-hERob9/ssh
:GPG_AGENT_INFO=/run/user/ruigo/keyring-hERob9/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 28853                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       28853                28853                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/ruigo/.xsession-errors
:pos:	311468
:flags:	0102002
:2:/home/ruigo/.xsession-errors
:pos:	311468
:flags:	0102002
:3:socket:[1269320]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[1267619]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[1269322]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[1269323]
:pos:	0
:flags:	02004002
:11:socket:[1269324]
:pos:	0
:flags:	02004002
:12:anon_inode:inotify
:pos:	0
:flags:	02004000

smolt_data:
:
:
:General
:=================================
:UUID: 77503a55-e1f2-4cc6-bd64-a83c74a878e2
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4522.11
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3 CPU       M 350  @ 2.27GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2266
:System Memory: 3627
:System Swap: 5695
:Vendor: CLEVO CO.
:System: B5130M Not Applicable
:Form factor: Laptop
:Kernel: 3.4.3-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11536:5464:20784) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11362:5464:20784) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:5464:20784) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:5464:20784) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:69:5464:20784) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(6523:592:5464:20784) pci, jme, ETHERNET, JMC250 PCI Express Gigabit Ethernet Controller
:(6523:9089:5464:20784) pci, None, BASE, Standard SD Host Controller
:(6523:9091:5464:20784) pci, jmb38x_ms, BASE, MS Host Controller
:(6523:9090:5464:20784) pci, sdhci-pci, BASE, SD/MMC Host Controller
:(32902:11539:5464:20784) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:5464:20784) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:5464:20784) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:5464:20784) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:5464:20784) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:15174:5464:20784) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(4147:404:5464:20784) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:15164:5464:20784) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9288:5464:20784) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15204:5464:20784) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:70:5464:20784) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15170:5464:20784) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:5464:20784) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:5464:20784) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:5464:20784) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(4318:3568:5464:20784) pci, None, VIDEO, N/A
:(32902:11537:5464:20784) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:5464:20784) pci, None, HOST/PCI, Core Processor Reserved
:(32902:16949:32902:4353) pci, iwlwifi, NETWORK, Ultimate N WiFi Link 5300
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root / ext4 4096 4096 5226465 3629339 3367195 1310720 1127951 1127951
:/dev/sda1 /boot ext4 1024 1024 508644 399578 373978 128016 127667 127667
:/dev/mapper/luks-6baf1972-69cf-4174-be91-4b474a93b23d /home ext4 4096 4096 71225062 9849428 9849428 17833984 17553178 17553178
:

xsession_errors:
:(gnome-contacts:20961): folks-WARNING **: postal-address-details.vala:283: Empty postal address passed to PostalAddressFieldDetails.
:(gnome-contacts:28817): folks-WARNING **: postal-address-details.vala:283: Empty postal address passed to PostalAddressFieldDetails.
Comment 1 Rui Gouveia 2012-07-08 20:10:01 EDT
Created attachment 596948 [details]
File: backtrace
Comment 2 Rui Gouveia 2012-07-08 20:10:04 EDT
Created attachment 596949 [details]
File: maps
Comment 3 Rui Gouveia 2012-07-08 20:10:06 EDT
Created attachment 596950 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 18:19:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 20:06:47 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.